io.vertx.config.hocon

## Class HoconProcessor

- java.lang.Object
- - io.vertx.config.hocon.HoconProcessor

- All Implemented Interfaces:
    ConfigProcessor

      public class HoconProcessor
      extends Object
      implements ConfigProcessor

  A processor using Typesafe Conf to read Hocon files. It also support JSON and Properties. More details on Hocon and the used library on the Hocon documentation page.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HoconProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Name of the processor, generally the name of the format it handles.
    `void` | `process(Vertx vertx, JsonObject configuration, Buffer input, Handler<AsyncResult<JsonObject>> handler)` Transforms the given `input` into a `JsonObject`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HoconProcessor

          public HoconProcessor()

  - ### Method Detail

    - #### name

          public String name()

      Description copied from interface: `ConfigProcessor`
      Name of the processor, generally the name of the format it handles.
      Specified by:
        `name` in interface `ConfigProcessor`
      Returns:
        the name

    - #### process

          public void process(Vertx vertx,
                              JsonObject configuration,
                              Buffer input,
                              Handler<AsyncResult<JsonObject>> handler)

      Description copied from interface: `ConfigProcessor`
      Transforms the given `input` into a `JsonObject`. This is an asynchronous non-blocking transformation. The result is passed to the given `Handler`. If the transformation fails, the passed `AsyncResult` would be marked as failed. On success, the result contains the `JsonObject`.
      Specified by:
        `process` in interface `ConfigProcessor`
      Parameters:
        `vertx` - the Vert.x instance
        `configuration` - the processor configuration, may be `null`
        `input` - the input, must not be `null`
        `handler` - the result handler, must not be `null`. The handler will be called in the same context as the caller.

Copyright © 2017. All rights reserved.